Bug 664265 - Claws mail Python plugin package missing examples
Claws mail Python plugin package missing examples
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: claws-mail-plugins (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-19 09:52 EST by David Kovalsky
Modified: 2014-03-31 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: claws-mail-3.7.8-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-04 14:50:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2010-12-19 09:52:26 EST
I was looking at the Python plugin. Though in README it references the 'examples' subdirectory in docs, it's not packaged. 

(0) $ rpm -ql claws-mail-plugins-python|grep -i example|wc -l
0

claws-mail-plugins-python-3.7.8-1.fc13.x86_64

Checking the source tarball the examples directory is present. 
http://www.claws-mail.org/plugin.php?plugin=python
http://www.claws-mail.org/downloads/plugins/python_plugin-0.6.tar.gz

Please fix the specfile to also include the examples found in the original tarball.
Comment 1 Michael Schwendt 2011-01-23 08:38:45 EST
$ git diff
diff --git a/claws-mail-plugins.spec b/claws-mail-plugins.spec
index a0a13a9..b382696 100644
--- a/claws-mail-plugins.spec
+++ b/claws-mail-plugins.spec
@@ -698,6 +698,7 @@ rm -rf $RPM_BUILD_ROOT
 %doc python_plugin-%{python}/ChangeLog
 %doc python_plugin-%{python}/COPYING
 %doc python_plugin-%{python}/README
+%doc python_plugin-%{python}/examples/
 %{_libdir}/claws-mail/plugins/python_plugin*
 
 %files rssyl -f rssyl.lang
Comment 2 Fedora Update System 2011-01-24 11:15:33 EST
claws-mail-3.7.8-3.fc14,claws-mail-plugins-3.7.8-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/claws-mail-3.7.8-3.fc14,claws-mail-plugins-3.7.8-4.fc14
Comment 3 Fedora Update System 2011-01-24 11:18:08 EST
claws-mail-3.7.8-3.fc13,claws-mail-plugins-3.7.8-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/claws-mail-3.7.8-3.fc13,claws-mail-plugins-3.7.8-4.fc13
Comment 4 Fedora Update System 2011-01-24 15:59:47 EST
claws-mail-3.7.8-3.fc14, claws-mail-plugins-3.7.8-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update claws-mail claws-mail-plugins'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/claws-mail-3.7.8-3.fc14,claws-mail-plugins-3.7.8-4.fc14
Comment 5 David Kovalsky 2011-01-25 05:09:24 EST
All OK on F14, thanks!

kovinek:~
(0) $ rpm -ql claws-mail-plugins-python|grep -i example|wc -l
13

kovinek:~
(0) $ rpm -q claws-mail-plugins-python
claws-mail-plugins-python-3.7.8-4.fc14.x86_64
Comment 6 Fedora Update System 2011-02-04 14:50:13 EST
claws-mail-3.7.8-3.fc14, claws-mail-plugins-3.7.8-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2011-02-04 14:54:33 EST
claws-mail-3.7.8-3.fc13, claws-mail-plugins-3.7.8-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.